newBirthDescriptor{
   type = "subclass",
   name = "Witch Doctor",
   desc = {
      "A wilder that has embraced the blight.",
      "The interaction between nature and vim has serious consequences.",
      "They use an array of toxins and diseases to weaken their foes,",
      "Their most important stats are: Willpower and Magic",
      "#GOLD#Stat modifiers:",
      "#LIGHT_BLUE# * +0 Strength, +0 Constitution",
      "#LIGHT_BLUE# * +4 Magic, +4 Willpower, +0 Cunning",
      "#GOLD#Life per level:#LIGHT_BLUE# 0",
   },
   power_source = {arcane=true, nature=true},
   stats = { mag=4, wil=4, },
   talents_types = {
		
		["cunning/survival"]={false, 0.0},
		["wild-gift/call"]={true, 0.3},
		["wild-gift/harmony"]={false, 0.1},
		["corruption/vile-life"]={false, 0.1},
		["wild-gift/mindstar-mastery"]={true, 0.3},
		["wild-gift/moss"]={true, 0.1},
		["corruption/curses"]={true, 0.1},
		["corruption/hexes"]={false, 0.1},
		["corruption/sanguisuge"]={true, 0},
		["corruption/plague"]={true, 0.3},
		["corruption/blood"]={true, 0},
		["corruption/blight"]={false, 0.3},
		["wild-gift/oozing-blades"]={false, 0},
		["wild-gift/corrosive-blades"]={false, 0},
		
		["wild-gift/roots"]={true, 0.3},
		["wild-gift/toxins"]={true, 0.3},
		["corruption/corrupted nature"]={true, 0.1}
   },
   talents = {
		[ActorTalents.T_MEDITATION] = 1,
		[ActorTalents.T_PSIBLADES] = 1,
		[ActorTalents.T_HIDDEN_PATH] = 1,
		[ActorTalents.T_VIRULENT_DISEASE] = 1,
	},
   
	copy = {
		max_life = 120,
		resolvers.equip{ id=true,
			{type="weapon", subtype="mindstar", name="mossy mindstar", autoreq=true, ego_chance=-1000},
			{type="weapon", subtype="mindstar", name="mossy mindstar", autoreq=true, ego_chance=-1000},
			{type="armor", subtype="light", name="rough leather armour", autoreq=true, ego_chance=-1000},
		},
	},
   copy_add = {
      life_rating = 0,
   },
}

getBirthDescriptor("class", "Wilder").descriptor_choices.subclass["Witch Doctor"] = "allow"

      
